# coding: utf-8
# Copyright (c) 2015, Truelite Srl <info@truelite.it>
# Author: Mark Caglienzi <mark@truelite.it>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice, this
#    list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

from __future__ import unicode_literals
from django.conf.urls import patterns, include, url
from django.contrib import admin
from example_project import views as epviews

admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'example_project.views.home', name='home'),
    # url(r'^blog/', include('blog.urls')),

    url(r'^$', epviews.HomeView.as_view(), name='home'),
    url(r'^login/$', epviews.login_view, name='login'),
    url(r'^logout/$', epviews.logout_view, name='logout'),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^django_pettycash/', include('django_pettycash.urls')),
    url(r'^company/list$', epviews.CompanyListView.as_view(), name='company_list'),
    url(r'^company/create$', epviews.CompanyCreateView.as_view(), name='company_create'),
    url(r'^company/update/(?P<pk>[\d+])$', epviews.CompanyUpdateView.as_view(), name='company_update'),
    url(r'^company/delete/(?P<pk>[\d+])$', epviews.CompanyDeleteView.as_view(), name='company_delete'),
    url(r'^company/detail/(?P<pk>[\d+])$', epviews.CompanyDetailView.as_view(), name='company_detail'),
)
